path: /build/build/atftp-net-ftp-0.7.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-selinux pcre readline tcpd" emerge net-ftp/atftp -pv -t && \
    USE="-selinux pcre readline tcpd" emerge -j ${JOBS} --nodeps net-ftp/atftp
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/atftp && luet-portage --dir /pkgdir/atftp
    net-ftp/atftp && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:63806f87381f39f4355af22ed2a2d0b76f89b0d2718a1ea3c3eb7b4cedbc7271
  package:
    name: atftp
    version: 0.7.2
    category: net-ftp
    use_flags:
    - -selinux
    - pcre
    - readline
    - tcpd
    requires:
    - name: tcp-wrappers
      version: '>=0'
      category: sys-apps
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Advanced TFTP implementation client/server
    uri:
    - https://sourceforge.net/projects/atftp/
    license: GPL-2+
    buildtimestamp: 2023-08-23 22:20:48.259145931 +0000 UTC m=+61.733224370
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
        || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4 virtual/pkgconfig'
      DEPEND: tcpd? ( sys-apps/tcp-wrappers ) readline? ( sys-libs/readline:0= ) pcre?
        ( dev-libs/libpcre )
      IUSE: selinux tcpd readline pcre
      RDEPEND: tcpd? ( sys-apps/tcp-wrappers ) readline? ( sys-libs/readline:0= )
        pcre? ( dev-libs/libpcre ) !net-ftp/netkit-tftp !net-ftp/tftp-hpa !net-ftp/uftpd
        selinux? ( sec-policy/selinux-tftp )
      emerge.packages: net-ftp/atftp
      kit: net-kit
      original.package.name: net-ftp/atftp
      original.package.slot: "0"
      original.package.version: 0.7.2
    treedir: /build/packages
  package_dir: /pkgdir/atftp
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: e3a16c1940b09e63df48db8c5aa308cb84bba09aafd5280436baf8ea695f12ad
compressiontype: zstd
files:
- etc/conf.d/atftp
- etc/init.d/atftp
- etc/systemd/system/atftp.service.d/00gentoo.conf
- lib/systemd/system/atftp.service
- usr/bin/atftp
- usr/sbin/atftpd
- usr/sbin/in.tftpd
- usr/share/doc/atftp-0.7.2/BUGS.bz2
- usr/share/doc/atftp-0.7.2/Changelog.bz2
- usr/share/doc/atftp-0.7.2/FAQ.bz2
- usr/share/doc/atftp-0.7.2/INSTALL.bz2
- usr/share/doc/atftp-0.7.2/README.CVS.bz2
- usr/share/doc/atftp-0.7.2/README.MCAST.bz2
- usr/share/doc/atftp-0.7.2/README.PCRE.bz2
- usr/share/doc/atftp-0.7.2/README.bz2
- usr/share/doc/atftp-0.7.2/TODO.bz2
- usr/share/doc/atftp-0.7.2/pxespec.txt.bz2
- usr/share/doc/atftp-0.7.2/test/load.sh.bz2
- usr/share/doc/atftp-0.7.2/test/mtftp.conf
- usr/share/doc/atftp-0.7.2/test/pcre_pattern.txt.bz2
- usr/share/doc/atftp-0.7.2/test/test.sh.bz2
- usr/share/doc/atftp-0.7.2/test/test_suite.txt
- usr/share/man/man1/atftp.1.bz2
- usr/share/man/man8/atftpd.8.bz2
- usr/share/man/man8/in.tftpd.8.bz2
- var/db/pkg/net-ftp/atftp-0.7.2/BDEPEND
- var/db/pkg/net-ftp/atftp-0.7.2/BUILD_TIME
- var/db/pkg/net-ftp/atftp-0.7.2/CATEGORY
- var/db/pkg/net-ftp/atftp-0.7.2/CBUILD
- var/db/pkg/net-ftp/atftp-0.7.2/CFLAGS
- var/db/pkg/net-ftp/atftp-0.7.2/CHOST
- var/db/pkg/net-ftp/atftp-0.7.2/CONTENTS
- var/db/pkg/net-ftp/atftp-0.7.2/COUNTER
- var/db/pkg/net-ftp/atftp-0.7.2/CXXFLAGS
- var/db/pkg/net-ftp/atftp-0.7.2/DEFINED_PHASES
- var/db/pkg/net-ftp/atftp-0.7.2/DEPEND
- var/db/pkg/net-ftp/atftp-0.7.2/DESCRIPTION
- var/db/pkg/net-ftp/atftp-0.7.2/EAPI
- var/db/pkg/net-ftp/atftp-0.7.2/FEATURES
- var/db/pkg/net-ftp/atftp-0.7.2/HOMEPAGE
- var/db/pkg/net-ftp/atftp-0.7.2/INHERITED
- var/db/pkg/net-ftp/atftp-0.7.2/IUSE
- var/db/pkg/net-ftp/atftp-0.7.2/IUSE_EFFECTIVE
- var/db/pkg/net-ftp/atftp-0.7.2/KEYWORDS
- var/db/pkg/net-ftp/atftp-0.7.2/LDFLAGS
- var/db/pkg/net-ftp/atftp-0.7.2/LICENSE
- var/db/pkg/net-ftp/atftp-0.7.2/NEEDED
- var/db/pkg/net-ftp/atftp-0.7.2/PF
- var/db/pkg/net-ftp/atftp-0.7.2/RDEPEND
- var/db/pkg/net-ftp/atftp-0.7.2/REQUIRES
- var/db/pkg/net-ftp/atftp-0.7.2/SIZE
- var/db/pkg/net-ftp/atftp-0.7.2/SLOT
- var/db/pkg/net-ftp/atftp-0.7.2/USE
- var/db/pkg/net-ftp/atftp-0.7.2/atftp-0.7.2.ebuild
- var/db/pkg/net-ftp/atftp-0.7.2/environment.bz2
- var/db/pkg/net-ftp/atftp-0.7.2/repository
package_cacheimage: ""
runtime:
  name: atftp
  version: 0.7.2
  category: net-ftp
  use_flags:
  - -selinux
  - pcre
  - readline
  - tcpd
  requires:
  - name: libpcre
    version: '>=0'
    category: dev-libs-3
  - name: tcp-wrappers
    version: '>=0'
    category: sys-apps
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Advanced TFTP implementation client/server
  uri:
  - https://sourceforge.net/projects/atftp/
  license: GPL-2+
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 ||
      ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4 virtual/pkgconfig'
    DEPEND: tcpd? ( sys-apps/tcp-wrappers ) readline? ( sys-libs/readline:0= ) pcre?
      ( dev-libs/libpcre )
    IUSE: selinux tcpd readline pcre
    RDEPEND: tcpd? ( sys-apps/tcp-wrappers ) readline? ( sys-libs/readline:0= ) pcre?
      ( dev-libs/libpcre ) !net-ftp/netkit-tftp !net-ftp/tftp-hpa !net-ftp/uftpd selinux?
      ( sec-policy/selinux-tftp )
    emerge.packages: net-ftp/atftp
    kit: net-kit
    original.package.name: net-ftp/atftp
    original.package.slot: "0"
    original.package.version: 0.7.2
